type: memory_limiter
github_project: open-telemetry/opentelemetry-collector

status:
  class: processor
  stability:
    alpha: [profiles]
    beta: [traces, metrics, logs]
  distributions: [core, contrib, k8s]

tests:
  config:
    check_interval: 5s
    limit_mib: 400
    spike_limit_mib: 50
  # TODO: https://github.com/open-telemetry/opentelemetry-collector/issues/9687
  skip_shutdown: true

telemetry:
  metrics:
    processor_accepted_spans:
      enabled: true
      description: Number of spans successfully pushed into the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{spans}"
      sum:
        value_type: int
        monotonic: true

    processor_refused_spans:
      enabled: true
      description: Number of spans that were rejected by the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{spans}"
      sum:
        value_type: int
        monotonic: true

    processor_accepted_metric_points:
      enabled: true
      description: Number of metric points successfully pushed into the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{datapoints}"
      sum:
        value_type: int
        monotonic: true

    processor_refused_metric_points:
      enabled: true
      description: Number of metric points that were rejected by the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{datapoints}"
      sum:
        value_type: int
        monotonic: true

    processor_accepted_log_records:
      enabled: true
      description: Number of log records successfully pushed into the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{records}"
      sum:
        value_type: int
        monotonic: true

    processor_refused_log_records:
      enabled: true
      description: Number of log records that were rejected by the next component in the pipeline.
      stability:
        level: deprecated
        from: v0.110.0
      unit: "{records}"
      sum:
        value_type: int
        monotonic: true
